Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.bridge
Class BookIndexer

    java.lang.Object
      org.crosswire.jsword.bridge.BookIndexer

    public class BookIndexer

extends Object

BookIndexer allows one to check the status of an index, build an index or delete an index. This is similar to SWORD's mkfastmod.

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Nested Class Summary
`static class` | `BookIndexer.StatusListener` Listen for the end of indexing.

Field Summary
`protected Book` | `book`
`private boolean` | `done`
`protected IndexManager` | `indexManager`
`private IndexStatusListener` | `isl`

Constructor Summary
`BookIndexer(Book book)`

Method Summary
`void` | `createIndex()`
`void` | `deleteIndex()`
`boolean` | `isIndexed()`
`static void` | `main(String[] args)` Call with <operation> book.
`protected void` | `setDone(boolean state)`
`static void` | `usage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### book

    protected Book book

### indexManager

    protected IndexManager indexManager

### isl

    private IndexStatusListener isl

### done

    private boolean done

Constructor Detail

### BookIndexer

    public BookIndexer(Book book)

Method Detail

### isIndexed

    public boolean isIndexed()

### deleteIndex

    public void deleteIndex()
                     throws BookException

  Throws:
    `BookException`

### createIndex

    public void createIndex()
                     throws BookException

  Throws:
    `BookException`

### setDone

    protected void setDone(boolean state)

### main

    public static void main(String[] args)

  Call with <operation> book. Where operation can be one of:
  - check - returns "TRUE" or "FALSE" indicating whether the index exists or not
  - create - (re)create the index
  - delete - delete the index if it exists
  And book is the initials of a book, e.g. KJV.

  Parameters:
    `args` -

### usage

    public static void usage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD